PETSc version 3.15.5
Fix/Edit manual page

# PetscSFSetUp

set up communication structures

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFSetUp(PetscSF sf)

Collective

### Input Arguments

| sf | - star forest communication object

### See Also

PetscSFSetFromOptions(), PetscSFSetType()

### Level

beginner

### Location

src/vec/is/sf/interface/sf.c

### Examples

src/vec/is/sf/tutorials/ex1.c.html
src/vec/is/sf/tutorials/ex2.c.html
src/vec/is/sf/tutorials/ex1f.F90.html

### Implementations

PetscSFSetUp_Allgather in src/vec/is/sf/impls/basic/allgather/sfallgather.c
PetscSFSetUp_Allgatherv in src/vec/is/sf/impls/basic/allgatherv/sfallgatherv.c
PetscSFSetUp_Neighbor in src/vec/is/sf/impls/basic/neighbor/sfneighbor.c
PetscSFSetUp_Basic in src/vec/is/sf/impls/basic/sfbasic.c
PetscSFSetUp_Window in src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages